diff --git a/changelog b/changelog
index e6e1ddb..8457c12 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090409 tpd src/axiom-website/patches.html 20090409.01.tpd.patch
+20090409 tpd src/algebra/Makefile move egrep to grep -E
 20090408 tpd src/axiom-website/patches.html 20090408.01.tpd.patch
 20090408 tpd src/interp/Makefile move help to bookvol5
 20090408 tpd src/doc/spadhelp removed, move help to bookvol5
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 53608a2..4da2584 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -16055,12 +16055,12 @@ the same at compile time, namely the "domain", "category", and
 \subsection{Finding the algebra code}
 Step 1 is to scan all of the algebra pamphlet files for the
 chunk names which contain the string "domain", "package", or
-"category". This is done using egrep (same as grep -E, which
+"category". This is done using grep -E (same as egrep, which
 means that the pattern is an extended regular expression) because
 extended regular expressions allows the use of alternatives
 written as (domain|package|category). Thus the command
 \begin{verbatim}
- egrep '@<<(domain|package|category) .*>>=' *.spad.pamphlet 
+ grep -E '@<<(domain|package|category) .*>>=' *.spad.pamphlet 
 \end{verbatim}
 will scan the algebra files looking for special chunknames.
 Axiom's chunk names are written in a stylized form so that each
@@ -16069,7 +16069,7 @@ in zerodim.spad.pamphlet the LexTriangularPackage chunkname is:
 \begin{verbatim}
 @<<package LEXTRIPK LexTriangularPackage>>
 \end{verbatim}
-so this egrep will generate an output line, prefixed by the filename
+so this grep will generate an output line, prefixed by the filename
 that looks like:
 \begin{verbatim}
 zerodim.spad.pamphlet:@<<package LEXTRIPK LexTriangularPackage>>=
@@ -16083,7 +16083,7 @@ Step 2 is an [[awk]] command line.
 
 <<findSpadFiles>>=
 
-egrep '@<<(domain|package|category) .*>>=' *.spad.pamphlet | sort | uniq | \
+grep -E '@<<(domain|package|category) .*>>=' *.spad.pamphlet | sort | uniq | \
 awk -F: '{
   chunk=substr($2,3,length($2)-5);
   split(chunk,part," ");
@@ -16094,11 +16094,11 @@ awk -F: '{
 }'
 
 @
-[awk] processes each line of the [[egrep]] output. 
+[awk] processes each line of the [[grep]] output. 
 
 The awk script uses [[-F:]] which is a flag that says that a [[:]] is
 the field separator. As a result the \$1 and \$2 in the awk script
-refer to the parts of the egrep output that come before and after the
+refer to the parts of the grep output that come before and after the
 [[:]] respectively.
 
 The variable [[chunk]] is assigned the actual chunk name minus
@@ -16142,11 +16142,11 @@ This output, which can consist of many lines per input file is piped
 into [[awk]].
 
 \subsection{Write the Makefile stanzas for the bootstrap files}
-For each of the above output lines we run an [[egrep]] command:
+For each of the above output lines we run an [[grep]] command:
 
 <<findBootstrapFiles>>=
 
-egrep '@<<.*BOOTSTRAP>>=' *.spad.pamphlet | sort | uniq | \
+grep -E '@<<.*BOOTSTRAP>>=' *.spad.pamphlet | sort | uniq | \
 awk -F: '{
   chunk=substr($2,3,length($2)-5);
   split(chunk,part," ");
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 0d6084e..5b9c3c7 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1056,5 +1056,7 @@ bookvol5 add )set debug<br/>
 src/doc remove unused files<br/>
 <a href="patches/20090408.01.tpd.patch">20090408.01.tpd.patch</a>
 bookvol5 collect help files<br/>
+<a href="patches/20090409.01.tpd.patch">20090409.01.tpd.patch</a>
+src/algebra/Makefile egrep -> grep -E<br/>
  </body>
 </html>
